FROM python:3.8-buster

RUN apt-get update && apt-get install -y \
    xinetd \
 && rm -rf /var/lib/apt/lists/*

RUN apt install gcc

RUN pip3 install --no-cache-dir \
    pycryptodome \
    arrow  


COPY ctf.xinetd /etc/xinetd.d/ctf

COPY ntpserver.py flag /

CMD ["xinetd", "-dontfork"]

EXPOSE 9999